package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 随访模板表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_template")
public class FollowUpTemplate extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2024415185108853435L;

	// 模板标识
	private String code;
	// 医生标识，0表示系统模板
	private String doctor;
	// 随访标题
	private String title;
	// 模板类型：1问卷模板，2体测模板
	private int type;
	// 推送类型：1按时间，2按次数
	private int pushType;
	// 推送次数
	private int pushTimes;
	// 推送周期
	private int pushCycle;
	// 推送周期单位：1天，2周，3月
	private int pushCycleUnit;
	// 添加时间
	private Date czrq;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@Column(name = "push_type")
	public int getPushType() {
		return pushType;
	}

	public void setPushType(int pushType) {
		this.pushType = pushType;
	}

	@Column(name = "push_times")
	public int getPushTimes() {
		return pushTimes;
	}

	public void setPushTimes(int pushTimes) {
		this.pushTimes = pushTimes;
	}

	@Column(name = "push_cycle")
	public int getPushCycle() {
		return pushCycle;
	}

	public void setPushCycle(int pushCycle) {
		this.pushCycle = pushCycle;
	}

	@Column(name = "push_cycle_unit")
	public int getPushCycleUnit() {
		return pushCycleUnit;
	}

	public void setPushCycleUnit(int pushCycleUnit) {
		this.pushCycleUnit = pushCycleUnit;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
